Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/cases/$CASE_ID/scheduled-callbacks \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cases/${caseId}/scheduled-callbacks` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cases/{case_id}/scheduled-callbacks" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
[
{
"taskId": 2001 ,
"caseId": 1001 ,
"interactionId": 3001 ,
"status": "RESERVED",
"interactionStatus": "SCHEDULED",
"priority": "HIGH",
"queueCode": "COLLECTIONS",
"summary": "Customer asked to be called back about the missed payment.",
"reasonCode": "COLLECTIONS_FOLLOW_UP",
"contactPointRef": "phone-1",
"windowStart": "2026-07-26T15: 00 :00Z",
"windowEnd": "2026-07-26T15: 30 :00Z",
"scheduledZoneId": "America/Chicago",
"availableAt": "2026-07-26T15: 00 :00Z",
"completeBy": "2026-07-26T15: 30 :00Z",
"reservedByWorkerId": 4101 ,
"reservedByWorkerName": "Maria Agent",
"reservationExpiresAt": "2026-07-26T15: 05 :00Z",
"promiseIndicator": "IN_WINDOW"
}
]{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}